0
votes
0answers
186 views

Unmet dependency issue installing libmapnik

I'm trying to install CartoDB, and have run into the dreaded "you may have requested an impossible situation" message: $ sudo apt-get install -y libmapnik-dev python-mapnik mapnik-utils Reading ...
0
votes
2answers
121 views

How to fix Libreoffice and Python3-uno

I cannot install any new packages because of python3-uno dependency problems. Apt-get said that python3-uno depends on libreoffice-core (=1:3.5.7-0ubuntu4) but 1:3.5.7-0ubuntu5 is to be installed. I ...
1
vote
1answer
334 views

Can't install Python2.7 on Ubuntu 13.04

I'm trying to install Python 2.7 on my Ubuntu 13.04 VPS. I'm issuing; sudo apt-get install python=2.7.4-0ubuntu1 and getting this in return Reading package lists... Done Building dependency tree ...
0
votes
0answers
41 views

Error installing gPodder

A few weeks ago (newbie alert!) I started using XUbuntu 12.04 with Xfce 4.8. I'm trying to install gPodder Podcast Client (see https://launchpad.net/~thp/+archive/gpodder). I've added the PPA via ...
1
vote
1answer
721 views

Can't install python-dev. Packages have unmet dependencies. I think it's a wrong Python version

root@Managementserver:~# sudo apt-get install python-pip python-dev build-essential -y Reading package lists... Done Building dependency tree Reading state information... Done build-essential ...
1
vote
0answers
52 views

quickly dependecies problem

I use quickly to develop an app. The thing is I wanted to use a library called BeautifulSoup which is found in Universe repository, under python-bs4 library. So I did a quickly configure ...
1
vote
1answer
335 views

How to install weather indicator on ubuntu 12.04?

I tried to install it from the market but that's what it says
4
votes
1answer
300 views

Python dependencies in Debian packages

I created my first Debian package today by following the accepted answer at this AskUbuntu question. Everything went fine, and it installed properly afterwards. However, my script is written in python ...
2
votes
1answer
130 views

Application Development - basic how to questions

After the Ubuntu app showdown is over, I would like to bring some of my tools programmed for Windows in the Software center. Since I'm new into programming for Linux I still have some questions: 1) I ...
2
votes
2answers
131 views

To make or not to make…python-nautilus a dependency?

That is the question! Okay, all silliness aside, I really am forced to make a difficult decision here. My application is written in C++ and allows other scripts to invoke methods via XML-RPC. One ...
6
votes
2answers
306 views

Is there a way to test packages I build for correct dependencies?

I'm absolutely new to packaging, so forgive me if I am asking something obvious for an experienced packager... How can I be sure that mentioned all the dependencies correctly in my package? Say that ...
14
votes
5answers
16k views

How to remove a deb without removing its dependencies

I would like to install the most recent version of boto, which I do via python setup.py install Yet when I try to remove the old version the following packages also get removed: apt-get remove ...